Subject: Re: bug#76586: 30.1; Question regarding eln-cache

From: Ship Mints <[email-masked]>
Date: Wed, 26 Feb 2025 11:36:29 -0500

On Wed, Feb 26, 2025 at 11:30 AM Rahul Martim Juliato <
[email-masked]> wrote:

>
> If I understand it correctly, eln-cache is now  'by machine' and if I'd
> like to pre-populate the `eln-cache/emacs-30.1-machinehash` I'd have to
> use the `comp-abi-hash` to assembly my new eln-cache path and clone my
> .eln into there.
>

native-comp-eln-load-path (as you may set via startup-redirect-eln-cache)
appends comp-abi-hash, which is specific to an Emacs build and that
includes architecture, compiler arguments, etc.  It is host independent.

Do I wish a user option to override `comp-abi-hash` would be available
> to the lisp user? Yes. Do I think exposing it is a good idea? No. For
> that I believe you guys know better :)
>

You do not want this.